package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TBVersion;
import com.qmth.distributed.print.business.mapper.TBVersionMapper;
import com.qmth.distributed.print.business.service.TBVersionService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 版本管理表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-02-27
 */
@Service
public class TBVersionServiceImpl extends ServiceImpl<TBVersionMapper, TBVersion> implements TBVersionService {

    /**
     * 版本管理分页列表
     *
     * @param iPage
     * @return
     */
    @Override
    public IPage<TBVersion> versionList(IPage<Map> iPage) {
        return this.baseMapper.versionList(iPage);
    }
}
